'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var pluginEventsNode = require('@backstage/plugin-events-node');
var GerritEventRouter = require('../router/GerritEventRouter.cjs.js');

const eventsModuleGerritEventRouter = backendPluginApi.createBackendModule({
  pluginId: "events",
  moduleId: "gerrit-event-router",
  register(env) {
    env.registerInit({
      deps: {
        events: pluginEventsNode.eventsServiceRef
      },
      async init({ events }) {
        const eventRouter = new GerritEventRouter.GerritEventRouter({ events });
        await eventRouter.subscribe();
      }
    });
  }
});

exports.eventsModuleGerritEventRouter = eventsModuleGerritEventRouter;
//# sourceMappingURL=eventsModuleGerritEventRouter.cjs.js.map
